(function (lib, img, cjs, ss) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,245,283);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,175,91);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,342,253);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,175,91);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,351,349);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,175,91);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,322,322);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,175,91);


(lib.zakreslenie = function() {
	this.initialize();

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#4BB3AB").ss(2.9,1,1).p("AjYiNIAAEbQAAAfAWAWQAWAWAfAAIEbAAQAfAAAWgWQAWgWAAgfIAAkbQAAgfgWgWQgWgWgfAAIkbAAQgfAAgWAWQgWAWAAAfg");

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("AiNDZQgfAAgWgWQgWgWAAgfIAAkbQAAgfAWgWQAWgWAfAAIEbAAQAfAAAWAWQAWAWAAAfIAAEbQAAAfgWAWQgWAWgfAAg");

	this.addChild(this.shape_1,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-23.2,-23.1,46.3,46.3);
p.frameBounds = [rect];


(lib.gfx_select_mc = function() {
	this.initialize();

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#009999").s().p("AhIAgIhfihQANAGAdAVQAkAbAVAVIA9A2QgggdBkhaQBlhbAGAcQgTAUgXAiQgvBCgYBCQgJAZgZBYQgUBIgBAAQgyhwgWgtg");

	this.addChild(this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-16.8,-19,33.6,38);
p.frameBounds = [rect];


(lib.gfx_select_active = function() {
	this.initialize();

	// active
	this.active = new lib.gfx_select_mc();
	this.active.setTransform(0,0.2,0.81,0.81);

	// bg
	this.instance = new lib.zakreslenie();
	this.instance.setTransform(0,1.8,0.72,0.72);

	this.addChild(this.instance,this.active);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-16.7,-15.2,33.3,33.6);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Sortowanie */
		var config = {
			id: '22077',
			title: 'Zaznacz prawidłową odpowiedź.',
			type: 'select',
			container: this,
			/*
			groups: {		
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/
			prefix: 'select_',
			results: [
				/*s_1:*/ '1',
				/*s_2:*/ '0',
			
				/*s_3:*/ '0',		
				/*s_4:*/ '1',
			
				/*s_5:*/ '1',	
				/*s_6:*/ '0',	
		
				/*s_7:*/ '0',	
				/*s_8:*/ '1',	
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 1,
			//zindex: 0,
			endsound: 'ssBrawa',
			exerciseAfterInit: function (container) {
			},
			exerciseBeforeFinish: function(container) {		
			},
			exerciseExtraCheck: function(container) {		
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/* Help */
		
		/* 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groups - Lista grup oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		scale - Skalowanie obiektu po upuszczeniu
		zindex - Warstwa obiektu
		*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// select
	this.select_5 = new lib.gfx_select_active();
	this.select_5.setTransform(855.4,143.3);

	this.select_6 = new lib.gfx_select_active();
	this.select_6.setTransform(855.4,194.8);

	this.select_7 = new lib.gfx_select_active();
	this.select_7.setTransform(1214.5,442.1);

	this.select_8 = new lib.gfx_select_active();
	this.select_8.setTransform(1214.5,492.5);

	this.select_4 = new lib.gfx_select_active();
	this.select_4.setTransform(333.4,554.2);

	this.select_3 = new lib.gfx_select_active();
	this.select_3.setTransform(333.4,503.9);

	this.select_2 = new lib.gfx_select_active();
	this.select_2.setTransform(444.1,162.2);

	this.select_1 = new lib.gfx_select_active();
	this.select_1.setTransform(444.1,113.7);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.select_1},{t:this.select_2},{t:this.select_3},{t:this.select_4},{t:this.select_8},{t:this.select_7},{t:this.select_6},{t:this.select_5}]}).wait(1));

	// content
	this.instance = new lib.Bitmap8();
	this.instance.setTransform(1012.8,422.9);

	this.instance_1 = new lib.Bitmap7();
	this.instance_1.setTransform(907.2,89);

	this.instance_2 = new lib.Bitmap6();
	this.instance_2.setTransform(654.7,124.7);

	this.instance_3 = new lib.Bitmap5();
	this.instance_3.setTransform(594.5,230.8);

	this.instance_4 = new lib.Bitmap4();
	this.instance_4.setTransform(132.7,484.7);

	this.instance_5 = new lib.Bitmap3();
	this.instance_5.setTransform(241.8,224.3);

	this.instance_6 = new lib.Bitmap2();
	this.instance_6.setTransform(242.7,94.7);

	this.instance_7 = new lib.Bitmap1();
	this.instance_7.setTransform(40.1,108.2);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_7},{t:this.instance_6},{t:this.instance_5},{t:this.instance_4},{t:this.instance_3},{t:this.instance_2},{t:this.instance_1},{t:this.instance}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(40.1,89,1191.1,490.8);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(922.2,391.2,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(685.8,451.2,1191.1,490.8);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{});
var lib, images, createjs, ss;